
ps.options(horizontal=F, width=4, height=6.8, pointsize=9)
postscript("Fig31.eps", onefile=F, print=F)
par(mar=c(3,3,3,1),mfrow=c(3,2), mgp=c(1.8,0.4,0))


c=0.1
b=0.0
a=0.9
.Random.seed = .seed20140224
x= 1:2000    #data structure
v <- x       #data structure
v[1]= c/(1-a-b)               #unconditional variance
x[1]= rnorm(1)*sqrt(v[1])     #unconditional marginal

for(i in 2:2000) 
    {
    v[i] = c+a*x[i-1]*x[i-1]+b*v[i-1]
    x[i] = sqrt(v[i])*rnorm(1)
    }
x = x[1001:2000]
sigma = sqrt(v[1001:2000])
#library("TSA")
sd(x); kurtosis(x)


#x <- garch.sim(alpha=c(c, a), beta=b, n=1000)
#tt <- "package:TSA"
#detach(tt, character.only = TRUE) # detach TSA from the current session




plot(x, type="l", xlab='t', ylab='', main='(a) ARCH(1) time series', col=4)


#points(x,pch=20,col=2)
hist(x, xlab='', nclass=25, probability=T, col=3,  ylab='', main='(b) Histogram')

mu <- mean(x); v <- sqrt(var(x))
h<-6*v/200
vv<-1:200
vv[1]=mu-3*v
for(i in 2:200) vv[i]=vv[i-1]+h
y=dnorm(vv,mu,v)
lines(vv,y, col=2,lwd=2)


plot(sigma, type="l", xlab='t', ylab='', main='(c) Conditional STD', col=4)

qqnorm(x, xlab='Normal quantile', ylab='GARCH quantile', main='(d) QQ-plot', col=4)
qqline(x, col=2)

 acf(x, lag=30, main='(e) ACF', ylab='', col="green")
 acf(x*x, lag=30, main='(f) ACF of squared series', ylab='', col="green")
#plot(r, main='(e) ACF', ylab='', col=5)
#plot(rr, ylab='',  main='(f) ACF of squared series',col="brown")
dev.off()
